LYX(1)

NAME
lyx - A Document Processor

SYNOPSIS
lyx [ command-line switches] [name.lyx ... ]

DESCRIPTION
LyX is too complex to be described completely in the "man" page format. If your system is properly configured, you can access the full documentation within LyX under the Help menu. LyX is a modern approach of writing documents with a computer which breaks with the tradition of the obsolete typewriter concept. It is designed for people who want a professional output with a minimum of time effort, without becoming specialists in typesetting. Compared to common word processors, LyX will increase the productivity a lot, since most of the typesetting will be done by the computer, not the author. With LyX the author can concentrate on the contents of his writing, since the computer will take care of the look. Read more about this concept in the online documentation under the Help menu. Currently, LyX uses the XForms library as a toolkit. LyX should run everywhere, where XForms runs. This is on all major Unix platforms as well as some PC platforms, including Sun, SGI, HP, DEC Alpha/OSF, IBM RS6000, Convex, Cray, i386/Linux, Alpha/Linux, i386/FreeBSD, i386/NetBSD, DecSystem(mips)/Ultrix, OS/2 with XFree or PMX and others.

OPTIONS
LyX supports the following command-line switches, which can also be specified as X resources (e. g. in .Xdefaults) with class name LyX:

-help
    summarizes LyX usage

-sysdir directory
    sets system directory. Normally not needed.

-width x
    the width of the main window in LyX.

-height y
    the height of the main window in LyX.

-xpos x
    the x position of the main window in LyX.

-ypos y
    the y position of the main window in LyX. Notice, you have to specify both -xpos and -ypos to obtain the desired effect. Negative positions are ignored. If no valid position is given, the main window is centered.

-dbg debug-level
    where debug-level is a sum of debugging options. Use "lyx -dbg 65535 -help" to see the different flags.

-Reverse
    swaps foreground and background colors.

-Mono
    runs LyX in black and white mode.

-FastSelection
    uses a fast black and white drawing routine for selections. If you use this, the switches BackgroundColor and SelectionColor are ignored.

The following options can be used to define the colors to use for different things:

-MathColor color

-MathFrameColor color

-FootColor color

-LabelColor color

-FillColor color

-NewLineColor color

-OnOffLineColor color

-LatexColor color

-NoteColor color

-LightedColor color

-BackgroundColor color

-SelectionColor color

Furthermore, LyX understands the following generic command line options from the Forms Library:

-display host:display
    specifies the server to connect to.

-bw borderwidth
    specifies the border width to use to built-in objects.

-visual visualName
    requests a visual by name such as TrueColor etc. By default the Forms Library always selects the visual that has the most depth.

-depth depth
    requests a specific depth. Try "-depth best" or "-depth 8" if you get a bad match.

-debug level
    generates some info about the state of the XForms. where level is an integer between 1-5 and controls the amount of information to output. Depending on the options used when the Forms Library was built, a level more than 3 might not be available.

-sync
    runs the application in synchronous mode with debug level set to 4.

-private
    requests a private colormap for the application.

-shared
    requests a shared colormap even if the application needs more colors than available. For those colors that can't be allocated in the shared colormap, substitutions are made so the closest matching color is used.

-stdcmap
    requests a standard colormap.

-name  newname
    specifies the application name under which resources are to be obtained, rather than the default executable file name.

ENVIRONMENT

LYX_DIR_10x
    can be used to specify which system directory to use.

The system directory is determined by searching for the file "chkconfig.ltx". Directories are searched in this order:
1) -sysdir command line parameter
2) LYX_DIR_10x environment variable
3) Maybe <path of binary>/TOP_SRCDIR/lib
4) <path of binary>/../share/<name of binary>/
5) hardcoded lyx_dir (usually /usr/local/share/lyx on UNIX and %X11ROOT%\XFree86\lib\X11\lyx on OS/2 with XFree)

LYX_LOCALEDIR
    can be used to tell LyX where to look for the translations of its GUI strings in other languages.

FILES
~/.lyx/lyxrc      Personal configuration file
LIBDIR/lyxrc      System wide configuration file
LIBDIR/lyxrc.example System wide configuration file template
LIBDIR/configure  Updates LyX if config has changed
LIBDIR/bind/      Keybindings
LIBDIR/clipart/   Clipart pictures
LIBDIR/doc/       Documentation in LyX format.
LIBDIR/examples/  Example documents
LIBDIR/images/    Images used as icons or in popups
LIBDIR/kbd/       Keyboard mappings
LIBDIR/layouts/   Layout descriptions
LIBDIR/templates/ Templates for documents
LIBDIR/tex/       Extra TeX files

LIBDIR is the system directory. This is usually /usr/local/share/lyx on UNIX and %X11ROOT%\XFree86\lib\X11\lyx on OS/2 with XFree.

SEE ALSO
reLyX(1), latex(1), xforms(5). Full documentation in either native LyX or postscript format.

BUGS/LIMITATIONS
There are probably still some bugs in LyX. Please report them to lyx-devel@lists.lyx.org with detailed info, including which version of LyX you use. Consult the "Known Bugs" item under the Help menu first if possible. LaTeX import is still not perfect and may produce buggy *.lyx files. Consult the reLyX documentation. XFree on OS/2 currently does not support PC codepages. If you use emTeX to preview/print with cp850, etc., this might lead to strange emTeX error messages. Remedy:
  1) In filenames use only A-Z, a-z, 1-9.
  2) Install a recent LaTeX package inputenc.sty. Select Layout->Document->encoding:latin1, so that reLyX adds the LaTeX command '\usepackage[latin1]{inputenc}'. LyX server has some limitations under OS/2: See Help->Customization for details. Preview of inline images in rare cases does not show the image. If you want to preview the image, just click on it and choose fullscreen preview. If you have performance problems, please go through the lyxrc configuration file. It contains settings that can be used to improve performance on slow systems.

AUTHOR
Copyright 1995, 1996, 1997, 1998 by Matthias Ettrich (ettrich@informatik.uni-tuebingen.de) and the rest of the LyX Team (See Credits under the Help menu item).